Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.apifacade.xbreeze
Class UbmXbrlApiFacade

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.apifacade.xbreeze.UbmXbrlApiFacade

All Implemented Interfaces:
  IXbrlApiFacade

    public class UbmXbrlApiFacade

extends java.lang.Object
implements IXbrlApiFacade

Clase que implementa las funcionalidades necesarias y que darán soporte a los servicios de ENLOC. Esta clase implementa el interfaz IXbrlApiFacade, el cual será usado a lo largo de todo el código que constituye los servicios de ENLOC. En concreto, estas funcionalidades hacen uso de la API Open Source para el tratamiento de XBRL XBreeze de UBMarix.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Constructor Summary
`UbmXbrlApiFacade()` Constructor por defecto

Method Summary
`boolean` | `checkErrorListSeverity(java.lang.String[] messageList)` Indica si en la lista de mensajes existe alguno con severidad de error.
`void` | `closeInstance(IXbrlInstance instance)` Cierra una instancia dada.
`IXbrlContext` | `createContext(IXbrlContext context, IXbrlInstance instance)` Crea un contexto XBRL con la información contenida en el parámetro de entrada context y encapsula el resultado en éste.
`IXbrlContext` | `createDimension(java.lang.String domain, java.lang.String member, IXbrlContext context, IXbrlInstance instance)` Crea una dimensión sobre un contexto dado.
`IXbrlContext` | `createDimensionalContext(IXbrlContext context, IXbrlInstance instance, java.lang.String domain, java.lang.String member)` Crea un contexto XBRL con la información contenida en el parámetro de entrada context, añade la información del segmento para crear el contexto dimensional y encapsula el resultado en éste.
`IXbrlContext` | `createDurationPeriod(IXbrlContext context, IXbrlInstance instance)` Crea un periodo de tipo Duration sobre un contexto dado.
`IXbrlFact` | `createFact(IXbrlFact fact, IXbrlInstance instance)` Crea un fact con la información contenida en el parámetro fact sobre la instancia dada.
`java.lang.Object` | `createFootNote(java.lang.Object linkDO, IXbrlFact fact, java.lang.String language, java.lang.String text, java.lang.String order, IXbrlInstance instance)` Crea una footnote sobre el footnote link dado.
`java.lang.Object` | `createFootNoteLink(IXbrlInstance instance)` Crea un link para foot notes sobre la instancia dada.
`IXbrlInstance` | `createInstance(java.lang.String documentPath, java.lang.String namespaceUri, java.lang.String schema)` Crea una instancia XBRL con la jerarquia de clases de la API usada y la encapsula en el objeto IXbrlInstance, para poder ser manipulada desde fuera de la facade.
`IXbrlContext` | `createInstantPeriod(IXbrlContext context, IXbrlInstance instance)` Crea un periodo de tipo Instant sobre un contexto dado.
`void` | `createNamespaces(NsItem[] namespacesList, IXbrlInstance instance)` Crea los namespaces pasados en el array namespacesList sobre la instancia XBRL
`IXbrlFact` | `createTuple(IXbrlFact tuple, IXbrlInstance instance)` Crea un elemento tuple con la información contenida en el parámetro tuple sobre la instancia dada.
`IXbrlFact` | `createTupleChild(IXbrlFact fact, IXbrlFact parentFact, IXbrlInstance instance)` Crea un fact hijo para una tupla dada.
`IXbrlFact` | `createTupleChildTuple(IXbrlFact fact, IXbrlFact parentFact, IXbrlInstance instance)` Asocia una tupla con su tupla padre
`IXbrlContext` | `createTypedDimensionalContext(IXbrlContext context, IXbrlInstance instance, java.lang.String domain, java.lang.String memberName, java.lang.String memberNS, java.lang.String typedMember)` Crea un contexto XBRL con la información contenida en el parámetro de entrada context, añade la información del segmento para crear el contexto dimensional teniendo en cuenta que es una typed dimension y encapsula el resultado en éste.
`IXbrlUnit` | `createUnit(IXbrlUnit unit, IXbrlInstance instance)` Crea un elemento Unit en la instancia XBRL.
`void` | `generateDimensionMap(Statement map, java.lang.String roleUri, java.lang.String labelRoleUri, java.lang.String nameMap, java.lang.String mainSchemaNamespace, java.lang.String mainSchemaPrefix, IXbrlInstance instance)` Crea un nuevo mapa dimensional
`Statement` | `generateMap(java.lang.String roleUri, java.lang.String labelRoleUri, java.lang.String nameMap, java.lang.String mainSchemaNamespace, java.lang.String mainSchemaPrefix, IXbrlInstance instance)` Crea un nuevo mapa
`byte[]` | `generateXbrlByteArray(IXbrlInstance instance)` Guarda una instancia XBRL sobre un array de bytes.
`void` | `generateXbrlDocument(IXbrlInstance instance, java.lang.String resultPath)` Genera una instancia dada sobre el documento indicado en el argumento resultPath.
`java.util.HashMap<java.lang.String,IXbrlContext>` | `getContexts(IXbrlInstance instance)` Obtiene los contextos de una instancia dada.
`java.util.ArrayList<IXbrlFact>` | `getGlobalFacts(IXbrlInstance instance, IXbrlContext context, java.util.HashMap<java.lang.String,IXbrlContext> contextTable)` Obtiene una lista con los facts contenidos a nivel de instancia, para una instancia y contextos dados.
`java.util.ArrayList<IXbrlFact>` | `getGlobalFacts(IXbrlInstance instance, IXbrlFact tupleFact, java.util.HashMap<java.lang.String,IXbrlContext> contextTable)` Obtiene una lista con los facts contenidos a nivel de instancia, para una instancia y tupla dadas.
`java.util.ArrayList<IXbrlFact>` | `getGlobalTuples(IXbrlInstance instance, java.util.HashMap<java.lang.String,IXbrlContext> contextTable)` Obtiene una lista con las tuplas contenidas a nivel de instancia, para una instancia dada.
`java.util.ArrayList<IXbrlFact>` | `getGlobalTuples(IXbrlInstance instance, IXbrlFact tupleParent, java.util.HashMap<java.lang.String,IXbrlContext> contextTable)` Tuplas contenidas en otra tupla dada.
`java.util.ArrayList<IXbrlUnit>` | `getUnits(IXbrlInstance instance)` Obtiene una lista de unidades de una instancia dada.
`java.lang.String` | `getXBRLschemaRef(IXbrlInstance xbrlInstance)` Obtiene el schemaRef de la instancia dada.
`boolean` | `isInstant(IXbrlFact fact, IXbrlInstance instance)` Indica si el periodo para un fact dado es Instant o no.
`boolean` | `isTuple(IXbrlFact fact, IXbrlInstance instance)` Determina si un fact dado es una tupla.
`IXbrlInstance` | `loadInstance(java.lang.String documentPath)` Carga una instancia XBRL dada la ruta física de la misma.
`IXbrlInstance` | `loadTaxonomy(java.lang.String schema)` Carga una taxonomía dada la ruta física de la misma.
`void` | `setLoggerTraceList(java.util.ArrayList<java.lang.String> loggerList)` Establece el arraylist destinado al almacenar los warnings o errores que llegan al logger
`java.lang.String[]` | `validate(java.lang.String documentPath)` Valida una instancia XBRL localizada en el path dado.
`boolean` | `validate(java.lang.String documentPath, GenericErrorsHandler errorHandler)` Valida una instancia XBRL localizada en el path dado.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UbmXbrlApiFacade

    public UbmXbrlApiFacade()

  Constructor por defecto

Method Detail

### setLoggerTraceList

    public void setLoggerTraceList(java.util.ArrayList<java.lang.String> loggerList)

  Description copied from interface: `IXbrlApiFacade`
  Establece el arraylist destinado al almacenar los warnings o errores que llegan al logger

  Specified by:
    `setLoggerTraceList` in interface `IXbrlApiFacade`
  Parameters:
    `loggerList` - ArrayList de String

### generateXbrlDocument

    public void generateXbrlDocument(IXbrlInstance instance,
                                     java.lang.String resultPath)
                              throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Genera una instancia dada sobre el documento indicado en el argumento resultPath.

  Specified by:
    `generateXbrlDocument` in interface `IXbrlApiFacade`
  Parameters:
    `instance` - Referencia a la instancia
    `resultPath` - ruta del fichero sobre el cual generar la instancia
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### generateXbrlByteArray

    public byte[] generateXbrlByteArray(IXbrlInstance instance)
                                 throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Guarda una instancia XBRL sobre un array de bytes.

  Specified by:
    `generateXbrlByteArray` in interface `IXbrlApiFacade`
  Parameters:
    `instance` - referencia a la instancia a generar
  Returns:
    devuelve un array de bytes con la instancia XBRL
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### createNamespaces

    public void createNamespaces(NsItem[] namespacesList,
                                 IXbrlInstance instance)
                          throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Crea los namespaces pasados en el array namespacesList sobre la instancia XBRL

  Specified by:
    `createNamespaces` in interface `IXbrlApiFacade`
  Parameters:
    `namespacesList` - lista de espacios de nombres a crear
    `instance` - referencia de la instancia
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### createInstance

    public IXbrlInstance createInstance(java.lang.String documentPath,
                                        java.lang.String namespaceUri,
                                        java.lang.String schema)
                                 throws DocumentNotFoundException,
                                        XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Crea una instancia XBRL con la jerarquia de clases de la API usada y la encapsula en el objeto IXbrlInstance, para poder ser manipulada desde fuera de la facade.

  Specified by:
    `createInstance` in interface `IXbrlApiFacade`
  Parameters:
    `documentPath` - ruta del documento en el cual se guardará la instancia XBRL
    `namespaceUri` - uri de la instancia XBRL
    `schema` - nombre del fichero XSD correspondiente al esquema href de la instancia
  Returns:
    IXbrlInstance Instancia XBRL creada
  Throws:
    `DocumentNotFoundException` - documento no encontrado en la ruta
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### createUnit

    public IXbrlUnit createUnit(IXbrlUnit unit,
                                IXbrlInstance instance)
                         throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Crea un elemento Unit en la instancia XBRL. Toda la información necesaria estará encapsulada en un objeto del tipo IXbrlUnit, de modo que pueda ser manipuldado desde fuera de la facade.

  Specified by:
    `createUnit` in interface `IXbrlApiFacade`
  Parameters:
    `unit` - referencia al objeto que encapsula el elemento Unit de XBRL
    `instance` - referencia a la instancia XBRL
  Returns:
    referencia al objeto con el elemento Unit
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### createContext

    public IXbrlContext createContext(IXbrlContext context,
                                      IXbrlInstance instance)
                               throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Crea un contexto XBRL con la información contenida en el parámetro de entrada context y encapsula el resultado en éste.

  Specified by:
    `createContext` in interface `IXbrlApiFacade`
  Parameters:
    `context` - referencia a objeto context
    `instance` - referencia a instancia XBRL
  Returns:
    objeto que encapsula el contexto creado sobre la instancia XBRL
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### createDimensionalContext

    public IXbrlContext createDimensionalContext(IXbrlContext context,
                                                 IXbrlInstance instance,
                                                 java.lang.String domain,
                                                 java.lang.String member)
                                          throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Crea un contexto XBRL con la información contenida en el parámetro de entrada context, añade la información del segmento para crear el contexto dimensional y encapsula el resultado en éste.

  Specified by:
    `createDimensionalContext` in interface `IXbrlApiFacade`
  Parameters:
    `context` - referencia a objeto context
    `instance` - referencia a instancia XBRL
    `domain` - referencia a dominio del contexto dimensional
    `member` - referencia a miembro del dominio del contexto dimensional
  Returns:
    objeto que encapsula el contexto creado sobre la instancia XBRL
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### createTypedDimensionalContext

    public IXbrlContext createTypedDimensionalContext(IXbrlContext context,
                                                      IXbrlInstance instance,
                                                      java.lang.String domain,
                                                      java.lang.String memberName,
                                                      java.lang.String memberNS,
                                                      java.lang.String typedMember)
                                               throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Crea un contexto XBRL con la información contenida en el parámetro de entrada context, añade la información del segmento para crear el contexto dimensional teniendo en cuenta que es una typed dimension y encapsula el resultado en éste.

  Specified by:
    `createTypedDimensionalContext` in interface `IXbrlApiFacade`
  Parameters:
    `context` - referencia a objeto context
    `instance` - referencia a instancia XBRL
    `domain` - referencia al nombre dominio del contexto dimensional
    `memberName` - referencia al namespace del dominio del contexto dimensional
    `memberNS` - referencia a miembro del dominio del contexto dimensional
    `typedMember` - referencia al valor en el caso de que sea una typed dimension
  Returns:
    objeto que encapsula el contexto creado sobre la instancia XBRL
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### createDurationPeriod

    public IXbrlContext createDurationPeriod(IXbrlContext context,
                                             IXbrlInstance instance)
                                      throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Crea un periodo de tipo Duration sobre un contexto dado.

  Specified by:
    `createDurationPeriod` in interface `IXbrlApiFacade`
  Parameters:
    `context` - referencia al contexto sobre el cual se creará el periodo
    `instance` - referencia a la instancia que contiene el contexto
  Returns:
    devuelve el contexto actualizado con el nuevo periodo
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### createInstantPeriod

    public IXbrlContext createInstantPeriod(IXbrlContext context,
                                            IXbrlInstance instance)
                                     throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Crea un periodo de tipo Instant sobre un contexto dado.

  Specified by:
    `createInstantPeriod` in interface `IXbrlApiFacade`
  Parameters:
    `context` - referencia al contexto sobre el cual se creará el periodo
    `instance` - referencia a la instancia que contiene el contexto
  Returns:
    devuelve el contexto actualizado con el nuevo periodo
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### createFact

    public IXbrlFact createFact(IXbrlFact fact,
                                IXbrlInstance instance)
                         throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Crea un fact con la información contenida en el parámetro fact sobre la instancia dada.

  Specified by:
    `createFact` in interface `IXbrlApiFacade`
  Parameters:
    `fact` - objeto que encapsula la información necesaria para crear y contener el fact XBRL
    `instance` - referencia a la instancia sobre la que se creará el fact dado
  Returns:
    devuelve el fact pasado como parámetro actualizado con el fact XBRL creado
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### createTuple

    public IXbrlFact createTuple(IXbrlFact tuple,
                                 IXbrlInstance instance)
                          throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Crea un elemento tuple con la información contenida en el parámetro tuple sobre la instancia dada.

  Specified by:
    `createTuple` in interface `IXbrlApiFacade`
  Parameters:
    `tuple` - objeto que encapsula la información necesaria para crear y contener el elemento tuple XBRL
    `instance` - referencia a la instancia sobre la que se creará la tuple dada
  Returns:
    devuelve el tuple pasado como parámetro actualizado con el elemento tuple XBRL creado
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### createDimension

    public IXbrlContext createDimension(java.lang.String domain,
                                        java.lang.String member,
                                        IXbrlContext context,
                                        IXbrlInstance instance)
                                 throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Crea una dimensión sobre un contexto dado.

  Specified by:
    `createDimension` in interface `IXbrlApiFacade`
  Parameters:
    `domain` - nombre del domain de la dimensión
    `member` - nombre del member correspondiente al contexto dado.
    `context` - referencia al contexto sobre el cual se creará la dimensión
    `instance` - referencia de la instancia a la cual pertenece el contexto dado
  Returns:
    contexto actualizado con la dimensión recien creada
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### createTupleChildTuple

    public IXbrlFact createTupleChildTuple(IXbrlFact fact,
                                           IXbrlFact parentFact,
                                           IXbrlInstance instance)
                                    throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Asocia una tupla con su tupla padre

  Specified by:
    `createTupleChildTuple` in interface `IXbrlApiFacade`
  Parameters:
    `fact` - fact objeto con la información del fact hijo
    `parentFact` - tupla de la que colgará el nuevo fact
    `instance` - instance referencia a la instancia en la cual se creará el nuevo fact
  Returns:
    Tupla creada
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### createTupleChild

    public IXbrlFact createTupleChild(IXbrlFact fact,
                                      IXbrlFact parentFact,
                                      IXbrlInstance instance)
                               throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Crea un fact hijo para una tupla dada.

  Specified by:
    `createTupleChild` in interface `IXbrlApiFacade`
  Parameters:
    `fact` - objeto con la información del fact hijo, el cual se usará para ser devuelto encapsulando el nuevo objeto XBRL creado
    `parentFact` - tupla de la que colgará el nuevo fact
    `instance` - referencia a la instancia en la cual se creará el nuevo fact
  Returns:
    objeto IXbrlFact con la información actualizada del fact recien creado
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### isInstant

    public boolean isInstant(IXbrlFact fact,
                             IXbrlInstance instance)
                      throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Indica si el periodo para un fact dado es Instant o no.

  Specified by:
    `isInstant` in interface `IXbrlApiFacade`
  Parameters:
    `fact` - referencia del fact sobre el cual se hace la consulta
    `instance` - referencia a la instancia a la cual pertenece el fact consultado
  Returns:
    True en caso de que el fact indicado se defina con un concepto cuyo periodo es tipo Instant, false en otro caso
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### createFootNoteLink

    public java.lang.Object createFootNoteLink(IXbrlInstance instance)
                                        throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Crea un link para foot notes sobre la instancia dada.

  Specified by:
    `createFootNoteLink` in interface `IXbrlApiFacade`
  Parameters:
    `instance` - referencia de la instancia sobre la que se creará el link
  Returns:
    objeto creado por la API y que corresponde a la instancia del link footnote
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### createFootNote

    public java.lang.Object createFootNote(java.lang.Object linkDO,
                                           IXbrlFact fact,
                                           java.lang.String language,
                                           java.lang.String text,
                                           java.lang.String order,
                                           IXbrlInstance instance)
                                    throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Crea una footnote sobre el footnote link dado.

  Specified by:
    `createFootNote` in interface `IXbrlApiFacade`
  Parameters:
    `linkDO` - objeto de la instancia con el link para footnote.
    `fact` - fact sobre el cual se creará la footnote
    `language` - idioma del footnote
    `text` - texto que contendrá el footnote
    `order` - orden del footnote
    `instance` - referencia a la instancia sobre la que se creará el footnote
  Returns:
    objeto de la instancia con la footnote
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### validate

    public java.lang.String[] validate(java.lang.String documentPath)
                                throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Valida una instancia XBRL localizada en el path dado.

  Specified by:
    `validate` in interface `IXbrlApiFacade`
  Parameters:
    `documentPath` - path de la instancia XBRL a validar
  Returns:
    array de errores obtenidos en la validación, si la lista es vacía, entonces la validación ha sido correcta
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### validate

    public boolean validate(java.lang.String documentPath,
                            GenericErrorsHandler errorHandler)
                     throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Valida una instancia XBRL localizada en el path dado.

  Specified by:
    `validate` in interface `IXbrlApiFacade`
  Parameters:
    `documentPath` - path de la instancia XBRL a validar
    `errorHandler` - manejador de errores
  Returns:
    Indicador (true/false) de si la instancia ha superado la validación
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### loadTaxonomy

    public IXbrlInstance loadTaxonomy(java.lang.String schema)
                               throws DocumentNotFoundException,
                                      XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Carga una taxonomía dada la ruta física de la misma. El DTS de la taxonomía será accesible a través del método getDTS del objeto IXbrlIntance devuelto.

  Specified by:
    `loadTaxonomy` in interface `IXbrlApiFacade`
  Parameters:
    `schema` - ruta o path físico de la localización del esquema de la taxonomía
  Returns:
    objeto que encapsula el DTS de la taxonomía
  Throws:
    `DocumentNotFoundException` - no se encuentra el documento en la ruta
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### generateDimensionMap

    public void generateDimensionMap(Statement map,
                                     java.lang.String roleUri,
                                     java.lang.String labelRoleUri,
                                     java.lang.String nameMap,
                                     java.lang.String mainSchemaNamespace,
                                     java.lang.String mainSchemaPrefix,
                                     IXbrlInstance instance)
                              throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Crea un nuevo mapa dimensional

  Specified by:
    `generateDimensionMap` in interface `IXbrlApiFacade`
  Parameters:
    `map` - mapa
    `roleUri` - uri del rol
    `labelRoleUri` - etiqueta del rol
    `nameMap` - nombre del mapa
    `mainSchemaNamespace` - namespace del esquema
    `mainSchemaPrefix` - prefijo del esquema
    `instance` - referencia a la instancia sobre la que se generará el mapa
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### generateMap

    public Statement generateMap(java.lang.String roleUri,
                                 java.lang.String labelRoleUri,
                                 java.lang.String nameMap,
                                 java.lang.String mainSchemaNamespace,
                                 java.lang.String mainSchemaPrefix,
                                 IXbrlInstance instance)
                          throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Crea un nuevo mapa

  Specified by:
    `generateMap` in interface `IXbrlApiFacade`
  Parameters:
    `roleUri` - uri del rol
    `labelRoleUri` - etiqueta del rol
    `nameMap` - nombre del mapa
    `mainSchemaNamespace` - namespace del esquema
    `mainSchemaPrefix` - prefijo del esquema
    `instance` - referencia a la instancia sobre la que se generará el mapa
  Returns:
    Statement del mapa
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### loadInstance

    public IXbrlInstance loadInstance(java.lang.String documentPath)
                               throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Carga una instancia XBRL dada la ruta física de la misma. El DTS de la instancia será accesible a través del método getDTS y la instancia con getInstance del objeto IXbrlIntance devuelto.

  Specified by:
    `loadInstance` in interface `IXbrlApiFacade`
  Parameters:
    `documentPath` - ruta o path físico de la localización de la instancia XBRL
  Returns:
    objeto que encapsula la instancia y el DTS de la taxonomía descubierta a partir de la instancia dada
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### getXBRLschemaRef

    public java.lang.String getXBRLschemaRef(IXbrlInstance xbrlInstance)
                                      throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Obtiene el schemaRef de la instancia dada.

  Specified by:
    `getXBRLschemaRef` in interface `IXbrlApiFacade`
  Parameters:
    `xbrlInstance` - referencia a la instancia sobre la cual se hace la consulta
  Returns:
    String que contiene el schemaRef de la instancia dada
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### isTuple

    public boolean isTuple(IXbrlFact fact,
                           IXbrlInstance instance)
                    throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Determina si un fact dado es una tupla.

  Specified by:
    `isTuple` in interface `IXbrlApiFacade`
  Parameters:
    `fact` - referencia al fact sobre el cual se hace la consulta
    `instance` - referencia a la instancia que contiene dicho fact
  Returns:
    True si el fact dado es una tupla y false en caso contrario
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### getGlobalFacts

    public java.util.ArrayList<IXbrlFact> getGlobalFacts(IXbrlInstance instance,
                                                         IXbrlContext context,
                                                         java.util.HashMap<java.lang.String,IXbrlContext> contextTable)
                                                  throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Obtiene una lista con los facts contenidos a nivel de instancia, para una instancia y contextos dados.

  Specified by:
    `getGlobalFacts` in interface `IXbrlApiFacade`
  Parameters:
    `instance` - referencia a la instancia sobre la cual se hace la consulta
    `context` - referencia al contexto para el cual se realiza la consulta de facts
    `contextTable` - tabla de contextos de la instancia
  Returns:
    lista con los facts encontrados
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### getGlobalFacts

    public java.util.ArrayList<IXbrlFact> getGlobalFacts(IXbrlInstance instance,
                                                         IXbrlFact tupleFact,
                                                         java.util.HashMap<java.lang.String,IXbrlContext> contextTable)
                                                  throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Obtiene una lista con los facts contenidos a nivel de instancia, para una instancia y tupla dadas.

  Specified by:
    `getGlobalFacts` in interface `IXbrlApiFacade`
  Parameters:
    `instance` - referencia a la instancia sobre la cual se hace la consulta
    `tupleFact` - referencia a la tupla para la cual se realiza la consulta de facts
    `contextTable` - tabla de contextos de la instancia
  Returns:
    lista con los facts encontrados
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### getGlobalTuples

    public java.util.ArrayList<IXbrlFact> getGlobalTuples(IXbrlInstance instance,
                                                          java.util.HashMap<java.lang.String,IXbrlContext> contextTable)
                                                   throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Obtiene una lista con las tuplas contenidas a nivel de instancia, para una instancia dada.

  Specified by:
    `getGlobalTuples` in interface `IXbrlApiFacade`
  Parameters:
    `instance` - referencia a la instancia sobre la cual se hace la consulta
    `contextTable` - tabla de contextos de la instancia
  Returns:
    lista con las tuplas encontradas
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### getGlobalTuples

    public java.util.ArrayList<IXbrlFact> getGlobalTuples(IXbrlInstance instance,
                                                          IXbrlFact tupleParent,
                                                          java.util.HashMap<java.lang.String,IXbrlContext> contextTable)
                                                   throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Tuplas contenidas en otra tupla dada.

  Specified by:
    `getGlobalTuples` in interface `IXbrlApiFacade`
  Parameters:
    `instance` - referencia a la instancia contenedora de las tuplas
    `tupleParent` - referencia de la tupla padre sobre la cual se hace la consulta
    `contextTable` - tabla de contextos de la instancia
  Returns:
    tabla de tuplas encontradas
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### getContexts

    public java.util.HashMap<java.lang.String,IXbrlContext> getContexts(IXbrlInstance instance)
                                                                 throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Obtiene los contextos de una instancia dada.

  Specified by:
    `getContexts` in interface `IXbrlApiFacade`
  Parameters:
    `instance` - referencia a la instancia sobre la cual se hace la consulta
  Returns:
    tabla con los contextos encontrados
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### getUnits

    public java.util.ArrayList<IXbrlUnit> getUnits(IXbrlInstance instance)
                                            throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Obtiene una lista de unidades de una instancia dada.

  Specified by:
    `getUnits` in interface `IXbrlApiFacade`
  Parameters:
    `instance` - referencia a la instancia sobre la cual se hace la consulta
  Returns:
    lista de unidades encontradas
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### closeInstance

    public void closeInstance(IXbrlInstance instance)
                       throws XBRLApiException

  Description copied from interface: `IXbrlApiFacade`
  Cierra una instancia dada.

  Specified by:
    `closeInstance` in interface `IXbrlApiFacade`
  Parameters:
    `instance` - referencia de la instancia que se pretende cerrar.
  Throws:
    `XBRLApiException` - para notificar que se ha producido un error de configuración

### checkErrorListSeverity

    public boolean checkErrorListSeverity(java.lang.String[] messageList)

  Description copied from interface: `IXbrlApiFacade`
  Indica si en la lista de mensajes existe alguno con severidad de error.

  Specified by:
    `checkErrorListSeverity` in interface `IXbrlApiFacade`
  Parameters:
    `messageList` - referencia la lista de mensajes sobre la cual se hace la consulta
  Returns:
    True en caso de que exista algún mensaje con severidad de error, false en otro caso

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD